Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Webhooks

Delete Webhook

DELETE
/public/api/v1/webhooks/{webhookId}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

webhookIdstring
Required

ID of the webhook to delete.

Format:
uuid

Header Parameters

Idempotency-Keystring

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/public/api/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Idempotency-Key: c4f5e8d2-1234-5678-90ab-cdef12345678"
Empty
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}

Create Webhook

Registers a new webhook endpoint limited to domains already approved on your point of sale configuration. A maximum of 10 active webhooks is allowed per merchant. Each webhook must subscribe to one or more supported events and include a shared secret used as the value of the Authorization header when sending webhook. Webhooks that fail more than 50% of the time during the previous week will automatically be paused with reason ERRORRATETOO_HIGH. This helps ensure stable operation by minimizing excessive webhook retries. Webhooks are not required Webhooks are separate from the main payment flow and act as a general event notification system. You should use them only if you need to track changes to your ePay data in a system that is different from the one initiating the request. For all payment-related operations, you should use the notificationUrl provided in each request. This is the primary mechanism for receiving the outcome of a payment or operation.

Initialize Payment Session

Initializes a new payment session with the ePay Payments API. This endpoint requires a valid ApiKey and must be called from the server side to ensure the ApiKey is never exposed client-side. You’ll receive the outcome of the payment session on the notificationUrl you provide within the request, making it the primary way to track the result of this payment. Webhooks can be used separately if you need broader, system-wide updates. We recommend a minimum timeout of 5 seconds. Required or configurable fields In the ePay backoffice, under Advanced Point of Sale Settings, you can set default values for many session initialization parameters. This allows you to manage your setup without updating your code. Each property must be defined either in the backoffice or in the API request. If a value is provided in the API request, it overrides the backoffice default. The following fields can be configured: - scaMode - timeout - instantCapture - processor - maxAttempts - notificationUrl - successUrl - failureUrl - exemptions Note: Only a subset of these fields are strictly required for the API request. The table below indicates which fields are mandatory or optional.